//+------------------------------------------------------------------+
//|                                            Bulls Bears Power.mq4 |
//|                                                   vasbsm@mail.ru |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "vasbsm@mail.ru"
#property link      ""

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Silver
//---- input parameters
extern int       BBPeriod=155;
extern int       TypeMA=0;
//-----------------------------
double BBBuffer[];
double TempBuffer[];
int init()
  {
   string short_name;
   IndicatorBuffers(2);
   IndicatorDigits(Digits);
   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(0,BBBuffer);
   SetIndexBuffer(1,TempBuffer); 
   short_name="Bulls Bears Power("+BBPeriod+")";     
   IndicatorShortName(short_name);
   SetIndexLabel(0,short_name);   
   return(0);
  }
int deinit()
  {

   return(0);
  }
int start()
  {
   int counted_bars=IndicatorCounted();
   if(Bars<=BBPeriod) return(0);
//----------------------------------------------------------------
   int limit=Bars-counted_bars;
   if(counted_bars>0) limit++;
   for(int i=0; i<limit; i++)
      TempBuffer[i]=iMA(NULL,0,BBPeriod,0,TypeMA,PRICE_CLOSE,i);
//----------------------------------------------------------------
   i=Bars-counted_bars-1;
   while(i>=0)
     {
      BBBuffer[i]=High[i]+Low[i]-2*TempBuffer[i];
      i--;
     }   
   return(0);
  }

